Subject: Re: bug#11484: 23.4; Scrolling leaves traces of old text behind

From: Kenichi Handa <[email-masked]>
Date: Tue, 23 Oct 2012 13:50:24 +0900

In article <[email-masked]>, Stefan Monnier <[email-masked]> writes:

> > Now Emacs should be able to use those PCF fonts via XFT.

> It actually crashed with an assertion violation because a font `spec'
> was nil where a vector was expected.

It means font_spec_from_name failed, which means
font_parse_name failed.  But, I didn't get that crach.
Please find what font name is given to font_parse_name, and
why it fails with that name.

> I used the quick-fix below which
> appeared to work, but without knowing what it implies.  Can you take
> a look and help me figure out what the right fix should be?

I think the better way is to do something like this:

  if (NILP (spec))
    signal_error ("Invalid font name", ascii_font);

---
Kenichi Handa
[email-masked]